vlax-curve-getpointatdist


(vlax-curve-getpointatdist curveEnt dist)

This function returns the point on the curveEnt curve entity, at dist distance from curve's start.

Arguments

curveEnt  (ename or vla-object) the COM object of any "curve" entity
dist  (double)  the distance along the curve (from curve start) where to return the point on the curve 

Return

3d WCS point list, or NIL

Example

(setq vlaCircle (vlax-ename->vla-object (entlast)))  #<VLA-OBJECT IAcadCircle 000000002EC2AD70>
(vlax-curve-getpointatdist vlaCircle 1.5)  returns (2419.59001625151 951.240981587612 0.0)

Remarks




©  Bricsys NV. All rights reserved.